Loading...
Searching...
No Matches
window.h
Go to the documentation of this file.
#ifndef ARC_GRAPHICS_WINDOW_H_
#define ARC_GRAPHICS_WINDOW_H_
#ifdef __cplusplus
extern "C" {
#endif
#include <stdint.h>
/**
* @note ARC_WindowType is determined by which window backend you are using
*/
typedef struct ARC_WindowType ARC_Window;
/**
* @note certain parts of ARC_WindowInfo may not be used by your selected backend
*/
typedef struct ARC_WindowInfo {
char *title;
int32_t w;
int32_t h;
} ARC_WindowInfo;
/**
* @brief creates ARC_Window type
*
* @note the parameter data is determined by which graphics library you are using
* please refer to the graphics library section to see what needs to be passed
*
* @param window ARC_Window to initialize
* @param info Info on how to create ARC_Window
*/
void ARC_Window_Create(ARC_Window **window, ARC_WindowInfo *info);
/**
* @brief destroys ARC_Window type
*/
void ARC_Window_Destroy(ARC_Window *window);
#ifdef __cplusplus
}
#endif
#endif // !ARC_GRAPHICS_WINDOW_H_
ARC_Window
struct ARC_WindowType ARC_Window
Definition window.h:13
ARC_Window_Create
void ARC_Window_Create(ARC_Window **window, ARC_WindowInfo *info)
creates ARC_Window type
Definition window.c:7
ARC_WindowInfo
struct ARC_WindowInfo ARC_WindowInfo
ARC_Window_Destroy
void ARC_Window_Destroy(ARC_Window *window)
destroys ARC_Window type
Definition window.c:29
ARC_WindowType
SDL_Window ARC_WindowType
Definition window.h:7
ARC_WindowInfo
Definition window.h:18
ARC_WindowInfo::h
int32_t h
Definition window.h:21
ARC_WindowInfo::title
char * title
Definition window.h:19
ARC_WindowInfo::w
int32_t w
Definition window.h:20